# Spark Transaction History

This endpoint returns the transaction history for a given Spark address.

## GET /v1/spark/address/{address}/transactions

> Get transactions history for a specific Spark address.

```json
{"openapi":"3.0.3","info":{"title":"SecretKeyLabs API","version":"1.0.0"},"tags":[],"servers":[{"url":"https://api.secretkeylabs.io"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}}},"paths":{"/v1/spark/address/{address}/transactions":{"get":{"tags":["Spark"],"description":"Get transactions history for a specific Spark address.","parameters":[{"schema":{"default":0,"minimum":0,"type":"number"},"in":"query","name":"offset","required":false},{"schema":{"default":10,"minimum":0,"maximum":25,"type":"number"},"in":"query","name":"limit","required":false},{"schema":{"type":"string"},"in":"path","name":"address","required":true,"description":"Spark address e.g. `sp...`"}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"offset":{"type":"number"},"limit":{"type":"number"},"total":{"type":"number"},"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"direction":{"type":"string"},"counterparty":{"type":"object","properties":{"type":{"type":"string"},"identifier":{"type":"string"}}},"amountSats":{"type":"number"},"tokenAmount":{"type":"number"},"valueUsd":{"type":"number"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"},"status":{"type":"string"},"txid":{"type":"string"},"tokenMetadata":{"type":"object","properties":{"tokenIdentifier":{"type":"string"},"tokenAddress":{"type":"string"},"name":{"type":"string"},"ticker":{"type":"string"},"decimals":{"type":"number"},"issuerPublicKey":{"type":"string"},"maxSupply":{"type":"number"},"isFreezable":{"type":"boolean"},"iconUrl":{"type":"string"}}},"multiIoDetails":{"type":"object","properties":{"inputs":{"type":"array","items":{"type":"object","properties":{"address":{"type":"string"},"pubkey":{"type":"string"},"amount":{"type":"number"}}}},"outputs":{"type":"array","items":{"type":"object","properties":{"address":{"type":"string"},"pubkey":{"type":"string"},"amount":{"type":"number"}}}},"totalInputAmount":{"type":"number"},"totalOutputAmount":{"type":"number"}}}}}}}}}}},"400":{"description":"Invalid input","content":{"application/json":{"schema":{"description":"Invalid input","type":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"description":"Unauthorized","type":"string"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"description":"Not found","type":"string"}}}},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"description":"Rate limit exceeded","type":"string"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"description":"Internal server error","type":"string"}}}}}}}}}
```
